# And Now, For Something Completely Different -- TUCTF 2019

This challenge will not be released due to the fact it is the basics of a class assignment. However, just like any class assignment, it was not completely secure, in ways that were not intended. Viewing the source code of the home page let to `/welcome/test` which was a template injection vulnerability. Using this, the goal was to using remote code execution to read from the `flag.txt` file. This could be done using `/welcome/{%25 import os %25}{{ os.popen("cat flag.txt").read() }}`. Just a note, the class_website.py was unreadable by design, again, because this is a class assignment.
